---
title: Lending
slug: apis/lending
description: Access APIs to originate, fund, service, and report on loans, lines of credit, and merchant lending with flexible payment rails.
docTags: 
createdAt: 2025-04-10T11:24:14.971Z
---

:::CtaButton{label="Lending concepts" docId="_wM-MYSb5fOcETpU-miNT" openInNewTab="true"}

:::

:::hint{type="info"}
- [Get started](docId\:Z-MVwOV-p00-xX082NabK) with Cross River APIs.
- [Register](docId\:jXGfRbtNHOshrZJYHYKTo) for hooks.
:::

## Loan APIs

The Lending platform includes a robust set of API calls to allow you to create, update, and manage your loans. The platform consists of a set of interconnected micro services that communicates internally using messages. The platform is designed with high fidelity, high  performance and eventual consistency in mind.&#x20;

- **Oversight** UI for policies and rules
- **preApproval** UI and API for Applications
- **Arix-Origination** API for issuing loans
- **Manual Review** UI for working the exception queue detected by **MPLLifeCycle**
- **Arix-funding** API for making payments&#x20;
- **Selling** UI and API for purchasing loans
- **Contracts** UI for viewing configuration&#x20;
- **Hooks** UI and API for listening to events

**IMPORTANT**
You must have the following IP addresses allowlisted:

:::hint{type="warning"}
Sandbox - 66.206.202.39 , 66.206.202.12

Production -66.206.202.62 , 66.206.202.15
:::

## Lending status page

Sign up for maintenance updates and see the current status of the Arix system at [https://crossriverarix.statuspage.io](https://crossriverarix.statuspage.io)

### Where to start

Reach out to your RM for your sandbox API Client Credentials and the Lending Postman collection to get you started.

## Lending web application

The Cross River Lending UI provides a visual interface for managing your lending operations. The UI allows for self-service and offers a no-code alternative for viewing loans, taking actions, setting up hook registrations, purchasing loans, and more.

![](https://api.archbee.com/api/optimize/4hvUOg5mU1sCngl0n0Has/m7JyD88mtLH5iaYDOztmM_image.png "Homepage of the Lending UI")

| Environment | URL                                    |
| ----------- | -------------------------------------- |
| Sandbox     | https\://lendingappsandbox.crbcos.com/ |
| Production  | https\://lendingapp.crbcos.com/        |

### Access & Prerequisites

- **VPN:** You must connect through an allow-listed VPN to access the Lending UI.
- **User Creation & Permissions:** User accounts and permissions are provisioned through [Org management portal](docId\:C90JfVUQ2MwiRVdsAwxgr) by your **Organization Admin**.
- **Setup Assistance:** Contact lending.support (at) crossriver, to ensure your organization's setup is complete, and all access requirements are in place.

## API reference documentation

Click each of the links for API reference documentation. These calls create loans and update loan information.

- [Application decisioning](docId\:VwjhFeFwgjKJ9lggqLVW9)  POST /Applications/\{partner\_schema\_id}
- [Create and update a loan](docId\:v8cArTCqMmQrYCIYHUf7f) POST /Loan
- [Add loan documents](docId\:uRkNIHuM7qYLQdCEE7tU-) POST /Loan/\{Id}/Attachments
- [Request new payment rails](docId\:GMP-Bavby6sAgCbQlLsJM)  PUT /Loan/\{Id}/FundingInfo
- [Get loan details by ID](docId:6ZfJGj39xq4RWRWzmXJCD) GET /LoanDetail/\{Id}
- [Cancel a loan](docId\:qaSYJf2BFuTsvqo0pD_Ae) PUT /Loan/\{\{loanId}}/Cancel

